package ubiik.utils;

import java.util.LinkedList;
import java.util.List;

public class ListUtils {
  public static byte[] byteArrayFromList(List<Byte> list) {
    byte[] arr = new byte[list.size()];
    int i = 0;
    for (Byte b : list) {
      arr[i] = b.byteValue();
      i++;
    } 
    return arr;
  }
  
  public static List<Byte> listFromByteArray(byte[] arr) {
    List<Byte> list = new LinkedList<>();
    for (int i = 0; i < arr.length; i++)
      list.add(Byte.valueOf(arr[i])); 
    return list;
  }
}
