package ubiik.wp.admin;

import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import ubiik.wp.admin.view.AdminMainViewControllerWS;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.view.ConnectionManagerViewController;

public class AdminMainWS extends AdminMain {
  protected void doSetUpMainController(Stage stage, DevicesController dc, MessageController mc) {
    this.mainLoader = new FXMLLoader(getClass().getResource("/main/resources/ubiik/wp/admin/MainView.fxml"));
    this.mainController = (ConnectionManagerViewController)new AdminMainViewControllerWS(stage, mc, dc);
    this.mainLoader.setController(this.mainController);
  }

  public static void main(String[] args) {
    AdminMain.setUpUserManager();
    launch(args);
  }
}
