package ubiik.wp.demo;

import javafx.fxml.FXMLLoader;
import javafx.stage.Stage;
import ubiik.wp.controller.DevicesController;
import ubiik.wp.controller.MessageController;
import ubiik.wp.demo.controller.ADCGyroViewController;
import ubiik.wp.view.BaseApplication;
import ubiik.wp.view.ConnectionManagerViewController;

public class ADCGyroDemo extends BaseApplication {
  public static void main(String[] args) {
    launch(args);
  }

  protected void doSetUpMainController(Stage stage, DevicesController dc, MessageController mc) {
    this.mainLoader = new FXMLLoader(getClass().getResource("/main/resources/ubiik/wp/admin/gridPaneDemoViewController.fxml"));
    this.mainController = (ConnectionManagerViewController)new ADCGyroViewController(dc, mc);
    this.mainLoader.setController(this.mainController);
    this.mainController.onShow();
  }
}
