package ubiik.wp.psconnection;

public class PSConstants {
  public static final long MASK_INT = 4294967295L;
  
  public static final int MASK_SHORT = 65535;
  
  public static final int MASK_BYTE = 255;
  
  public static final int BYTES_FOR_MESSAGE_LENGTH = 4;
  
  public static final int BYTES_FOR_MESSAGE_CRC = 2;
  
  public static final int BYTES_FOR_MESSAGE_TYPE = 1;
  
  public static final int BYTES_FOR_MESSAGE_ID = 2;
  
  public static final int BYTES_FOR_DOWNLINK_ID = 2;
  
  public static final int BYTES_FOR_COMMAND_ID = 2;
  
  public static final int BYTES_FOR_COMMAND_TYPE = 2;
  
  public static final int BYTES_FOR_ENDPOINT = 1;
  
  public static final int PSMESSAGE_AUTHENTICATED_LENGTH = 4;
  
  public static final int PSMESSAGE_TYPE_AUTHENTICATED = 0;
  
  public static final int BYTES_FOR_UUID = 16;
  
  public static final int BYTES_FOR_BS_NETWORK_ID = 2;
  
  public static final int BYTES_FOR_MULTICAST_GROUP_ID = 2;
  
  public static final int DEFAULT_BS_PORT = 7979;
  
  public static final String DEFAULT_BS_URL = "192.168.5.11";
  
  public static final int TABLE_VIEW_MAX_ELEMENTS = 1000;
  
  public static final long RSSI_MAX_VALUE = -140L;
  
  public static final long RSSI_MIN_VALUE = -20L;
  
  public static final long FOFF_MAX_VALUE = 3000L;
  
  public static final long FOFF_MIN_VALUE = -3000L;
  
  public static final long MAX_FIRMWARE_FILE_SIZE = 262144L;
  
  public static final int MULTICAST_GROUP_ID_MIN_VALUE = 1;
  
  public static final int MULTICAST_GROUP_ID_MAX_VALUE = 65535;
  
  public static final long UINT32_MAX_VAL = 4294967295L;
  
  public static final long UINT32_MIN_VAL = 0L;
  
  public static final boolean DISPLAY_PORT_INPUT = false;
  
  public static final String DATE_FORMAT = "HH:mm:ss yyyy-MM-dd";
  
  public static final String DATE_TIME_TZ_FORMAT = "yyyy-MM-dd'T'HH:mm:ss'Z'";
  
  public static final String DATE_TIME_YYYYMMDDTHHMMSS = "yyyyMMdd'T'HHmmss";
  
  public static final int SQL_FILE_NAME_MAX_LENGTH = 20;
  
  public static final String JSON_KEY_ERROR = "error";
  
  public static final String JSON_KEY_DB = "database";
  
  public static final String JSON_KEY_COLUMNS = "columns";
  
  public static final String JSON_KEY_NAME = "name";
  
  public static final String JSON_KEY_QUERY = "query";
  
  public static final String JSON_KEY_RESULTS = "results";
  
  public static final String JSON_KEY_FILE = "file";
  
  public static final String JSON_KEY_FILE_CONTENT = "content";
  
  public static final String JSON_KEY_FILE_NAME = "filename";
  
  public static final String JSON_KEY_FILE_FRAGMENT_OFFSET = "fragment_offset";
}
