package ubiik.wp.qa.model;

import java.util.Comparator;

public class ULSample {
  public static final short APP_ID_SEQUENCE_SAMPLE = 20;
  
  public Long timeSample;
  
  public Long snSample;
  
  public ULSample(Long timeLastSample, Long snLastSample) {
    this.timeSample = timeLastSample;
    this.snSample = snLastSample;
  }
  
  public static class SNComparator implements Comparator<ULSample> {
    public int compare(ULSample o1, ULSample o2) {
      return Long.compare(o1.snSample.longValue(), o2.snSample.longValue());
    }
  }
}
