#! /bin/bash
if java -version 2>&1 >/dev/null | egrep "\S+\s+version"; then
	echo "OpenJDK already installed."
else
	wget https://download.java.net/java/GA/jdk19.0.1/afdd2e245b014143b62ccb916125e3ce/10/GPL/openjdk-19.0.1_linux-x64_bin.tar.gz
	tar xvzf openjdk-19.0.1_linux-x64_bin.tar.gz
	sudo mv jdk-19.0.1/ /opt/jdk-19/
	rm -rf openjdk-19.0.1_linux-x64_bin.tar.gz
	sudo update-alternatives --install /usr/bin/java java /opt/jdk-19/bin/java 100
fi
java --module-path dependency --add-exports=javafx.base/com.sun.javafx.event=ALL-UNNAMED --add-modules=javafx.base,javafx.controls,javafx.fxml,javafx.graphics,javafx.media,javafx.swing,javafx.web -jar ENBC-Admin-Config-Tool-V1_0_10_17.jar
