package ubiik.utils;

import java.io.IOException;
import java.net.InetSocketAddress;
import java.net.Socket;

public class ConnectionUtils {
  public static boolean isReachable(String addr, int openPort, int timeOutMillis) throws Throwable {
    boolean reachable = false;
    try {
      Socket soc = new Socket();
      Throwable throwable = null;
      try {
        soc.connect(new InetSocketAddress(addr, openPort), timeOutMillis);
        soc.close();
      } catch (Throwable throwable1) {
        throwable = throwable1 = null;
        throw throwable1;
      } finally {
        if (throwable != null) {
          try {
            soc.close();
          } catch (Throwable throwable1) {
            throwable.addSuppressed(throwable1);
          } 
        } else {
          soc.close();
        } 
      } 
      reachable = true;
    } catch (IOException ex) {
      reachable = false;
    } 
    return reachable;
  }
}
