package ubiik.wp.demo.model;

import java.util.Date;

public class TemperatureHumiditySample extends SampleFromUplink {
  private float temperature;
  
  private int humidity;
  
  public TemperatureHumiditySample(String uuid, Date timestamp, int temperature, int humidity) {
    super(timestamp, uuid);
    this.temperature = temperature;
    this.humidity = humidity;
  }
  
  public synchronized float getTemperature() {
    return this.temperature;
  }
  
  public synchronized void setTemperature(float temperature) {
    this.temperature = temperature;
  }
  
  public synchronized int getHumidity() {
    return this.humidity;
  }
  
  public synchronized void setHumidity(int humidity) {
    this.humidity = humidity;
  }
  
  public String toString() {
    return "Temperature Sample [temperature: " + this.temperature + ", humidity: " + this.humidity + "]";
  }
}
