package ubiik.wp.model.messages;

public class PSMessageAuthenticated extends PSMessage {
  private boolean isAuthenticated;
  
  public PSMessageAuthenticated(int messageId, byte[] messageData) {
    super(messageId, 0, messageData, (byte)0);
    this.isAuthenticated = false;
    try {
      this.isAuthenticated = (messageData[0] == -84);
    } catch (Exception e) {
      throw new IllegalArgumentException();
    } 
  }
  
  protected byte[] getMessageDataBytes() throws MessageFormatException {
    return null;
  }
  
  public boolean isAuthenticated() {
    return this.isAuthenticated;
  }
}
